Summary:	PSI - Jabber client
Summary(de.UTF-8):	PSI - ein Instant Messaging Client-Programm für Jabber
Summary(pl.UTF-8):	PSI - klient Jabbera
Name:		psi-plus
Version:	1.2.167
Release:	1
License:	GPL v2+ / LGPL v2.1+
Group:		Applications/Communications
Source0:	https://github.com/psi-plus/psi-plus-snapshots/archive/%{version}.tar.gz
# Source0-md5:	9d788bd819d89c3997b787dc8b2a7abb
URL:		https://github.com/psi-plus/psi-plus-snapshots
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network
BuildRequires:	Qt5Xml
BuildRequires:	aspell-devel
BuildRequires:	libidn-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7c
BuildRequires:	qca-qt5-devel >= 2.0.0
BuildRequires:	qt4-linguist >= 4.4.0
BuildRequires:	qt5-build >= 4.4.0
BuildRequires:	qt5-qmake >= 4.4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	which
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-proto-scrnsaverproto-devel
BuildRequires:	xz >= 1:4.999.7
BuildRequires:	zlib-devel
Requires:	gstreamer-v4l2
Requires:	qt-plugin-qca-tls
Suggests:	gpgme >= 1.0.0
Provides:	psi = %{version}-%{relase}
Obsoletes:	psi < 0.16
Obsoletes:	qt-designer-psiwidgets
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PSI is a communicator for the Jabber open messaging system. It is
based on the Qt library. It supports SSL encrypted connections. The
default behaviour for SSL was changed so that it looks for SSL
certificates in $DATADIR/certs or in ~/.psi/certs.

Psi+ is a development branch of Psi IM Jabber client.

%description -l de.UTF-8
Psi ist ein Instant Messaging (IM) Client-Programm für das
Jabber-Protokoll (XMPP), welches das Qt Toolkit nutzt.

%description -l pl.UTF-8
PSI jest komunikatorem dla otwartego systemu wiadomości Jabber. Został
stworzony w oparciu o bibliotekę Qt. PSI wspiera połączenia szyfrowane
SSL. W stosunku do domyślnego zachowania komunikatora została
wprowadzona zmiana, która powoduje, że certyfikaty SSL są poszukiwane
w katalogu $DATADIR/certs lub ~/.psi/certs.

Psi+ jest rozwojową gałęzią komunikatora Psi IM Jabber.

%prep
%setup -q -n %{name}-snapshots-%{version}

%build
./configure \
	--qtselect=5 \
	--prefix=%{_prefix} \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--enable-webkit \
	--enable-whiteboarding \
	--no-separate-debug-info

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

export QTDIR=%{_libdir}/qt5

install -d $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/psi-plus
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_datadir}/%{name}
%{_datadir}/appdata/psi-plus.appdata.xml
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Wed Jan 17 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/psi-plus.git;a=log;h=master

* Wed Jan 17 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 262f361
- up to 1.2.167

* Fri Nov 03 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> b3ced20
- up to 1.2.105

* Fri Oct 13 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> b56c712
- up to 1.2.100

* Tue Sep 26 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 532f01f
- up to 1.2.80

* Mon Sep 11 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> a6ef904
- up to 1.2.71

* Wed Aug 23 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> fe47bf1
- up to 1.2.39; switch to qt5

* Mon Jan 30 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 8eb57e8
- up to 0.16.571.630

* Mon Aug 01 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6032f2b
- up to 0.16.560.575

* Thu Jan 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 45cbee7
- up to 0.16.479

* Thu Sep 17 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0364eb4
- up to 0.16.475

* Fri Aug 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 114636f
- up to 0.16.471; fix files

* Tue Aug 25 2015 Jan Rękorajski <baggins@pld-linux.org> a086d2f
- drop compat symlinks (psi+ is devel/beta version of psi)

* Tue Aug 25 2015 Jan Rękorajski <baggins@pld-linux.org> 2c2324d
- add missing BRs
- add compat symlinks
- rel 2

* Tue Aug 18 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fb0427
- up to 0.16.470

* Wed Jun 17 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 98bd98b
- up to 0.16.457.1

* Wed Mar 25 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c8d5871
- up to 0.16.449

* Fri Feb 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> bb4d1ca
- up to 0.16.447; use upstream tarball; drop all patches (need to be reworked)

* Thu Sep 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5620a0f
- show which patch is applied; exclude git/svn dirs

* Thu Sep 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d464a43
- up to 4128; fixed build

* Fri Sep 09 2011 lisu <lisu@pld-linux.org> 33fe7b1
- fix Qt problems

